Package Gnumed :: Package timelinelib :: Package export :: Module svg :: Class SVGDrawingAlgorithm |
[frames] | no frames]

# Class SVGDrawingAlgorithm

source code

    object --+
             |
            SVGDrawingAlgorithm

Instance Methods
__init__(self, path, scene, view_properties, **kwargs) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
write(self, path) write the SVG code into the file with filename path. | source code
draw(self) Implement the drawing interface. | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, path, scene, view_properties, **kwargs) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)

### write(self, path) | source code
write the SVG code into the file with filename path. No checking is done if file/path exists